Blast2HTML (BioJava Demos API)
Keywords: eventbasedparsing.Blast2HTML class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eventbasedparsing
Class Blast2HTML

    java.lang.Object
      eventbasedparsing.Blast2HTML

    public class Blast2HTML

extends Object

Example application for converting a Blast - like SAX stream to HTML. Primary author Colin Hardman (CAT) Other authors - Tim Dilks (CAT) Simon Brocklehurst (CAT) Stuart Johnston (CAT) Lawerence Bower (CAT) Derek Crockford (CAT) Neil Benn (CAT) Copyright 2001 Cambridge Antibody Technology Group plc. All Rights Reserved. This code released to the biojava project, May 2001 under the LGPL license.

Version:
  1.0
Author:
  Cambridge Antibody Technology Group plc

Constructor Summary
`Blast2HTML()`

Method Summary
`static org.biojava.bio.program.blast2html.HTMLRenderer` | `configureBlastN(PrintWriter poOut)`
`static org.biojava.bio.program.blast2html.HTMLRenderer` | `configureBlastP(PrintWriter poOut)`
`static org.biojava.bio.program.blast2html.HTMLRenderer` | `configureRenderer(String poType, PrintWriter poOut)`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Blast2HTML

    public Blast2HTML()

Method Detail

### configureRenderer

    public static org.biojava.bio.program.blast2html.HTMLRenderer configureRenderer(String poType,
                                                                                    PrintWriter poOut)

### configureBlastN

    public static org.biojava.bio.program.blast2html.HTMLRenderer configureBlastN(PrintWriter poOut)

### configureBlastP

    public static org.biojava.bio.program.blast2html.HTMLRenderer configureBlastP(PrintWriter poOut)

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD